/*lets make a same root POPPINS  */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root{
    --amber--color:42, 100%, 50%;
    --indigo--color:231, 48%, 48%;
    --blue--color:#3f64b5;
    --rounded-sm:4px;
    --rounded-md:8px;

    --muted-text: #616067;
    --primary-text: #12103a;
    --light-color:#fafbfe;


    --primary-color:42, 100%,;
    --primary-color-dark: var(--primary-color)50%;
    --primary-color-light: var(--primary-color)90%;
    --text-color: rgb(22, 16, 44);

    --text-sm:.9rem;
}
/*male a reset form all element in the DOM*/
*,*::after, *::before{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    text-decoration: none;

}
a{
    text-decoration: none;
    color: var(--primary-text);
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: 'Poppins', sans-serif;
    display: flex;
    overflow-x: hidden;
    justify-items: center;
    align-items: center;
    gap: 20px;
    flex-direction: column;
    position: relative;
    background-color: white;
    min-height: 100vh;
    scroll-behavior: smooth;
}




nav{
    width: 90%;
    padding: 10px 20px;
    font-size: var(--text-sm);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 20px;
    z-index: 999;
    backdrop-filter: blur(10px);
    top: 0px;
    

}
nav .nav-logo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
nav .nav-logo  img.logo{
    width: 40px;
    height: 40px;
}
nav .nav-logo img.name{
    width: 60px;
    height: auto;
}
nav .nav-link{
    display: flex;
    gap: 30px;
    color: var(--primary-text);
    list-style: none;
    justify-content: center;
    align-items: center;
    font-weight: 300;
    cursor: pointer;
    transition: .5s all ease;
}
nav .nav-link li{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}
nav .nav-link li:hover{
    color: #1e1868;
}
nav .button {
    display: flex;
    justify-content: center;
    align-items: center;
}
nav .button button{
    border: none;
    padding: 5px 20px;
    height: 38px;
    background-color: hsl(var(--indigo--color));
    color: var(--light-color);
    border-radius: var(--rounded-sm);
    cursor: pointer;
    transition: .5s all ease;
}
nav .button button:hover{
    background-color: #271d9b;
}

.hero{
    width: 90%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 10px 20px;
    margin-top: 60px;
    z-index: 9;
}
.hero .hero-section-text{
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 10px;
}

.hero .hero-section-text .text-title{
    width: 90%;
    font-size: 1.4rem;
    color: var(--primary-text);
    font-weight: bold;
    text-transform: capitalize;
}
.hero .hero-section-text .text-info{
    width: 80%;
    font-size: .8rem;
    color: var(--muted-text);
    font-weight: 300;
}

.hero .hero-section-text button{
    margin-top: 20px;
    border: none;
    padding: 5px 20px;
    height: 37px;
    background-color: hsl(var(--indigo--color));
    color: var(--light-color);
    border-radius: var(--rounded-sm);
    cursor: pointer;
    transition: .5s all ease;
}

.costomers{
    display: flex;
    gap: 5px;
    align-items: center;
    justify-content: center;
}
.avatar-group {
    position: relative;
    margin-top: 10px;
    display: flex;
    gap: .4rem;

}
  
.avatar {
    position: relative;
    width: 2.5rem;
    height: 2.5rem;
    overflow: hidden;
    border-radius: 50%;
    background-color: rgb(247, 247, 255);
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
    border: 2px solid white;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--blue--color);
}
.avatar-group :nth-child(2) {
    transform: translateX(-20px);
}
.avatar-group :nth-child(3) {
    transform: translateX(-40px);
}
.avatar-group :nth-child(4) {
    transform: translateX(-60px);
}
.avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin-top: 6px;
}

.rate-group{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 8px;
    color: var(--primary-text);
    margin-top: 7px;
}
.rate-group .text{
    font-size: 1rem;
    color: var(--primary-text);
    font-weight: bolder;
    text-transform: capitalize; 
}
.rate-group .rate{
    display: flex ;
    justify-content: center;
    align-items: center;
    gap: 7px;
    font-size: .8rem;
}
.rate-group .rate i{
    color: hsl(var(--amber--color));
    font-size: 1.1rem;
}
.rate-group .rate span{
    font-weight: bold;
    font-size: .9rem;
    color: var(--muted-text);
}
.rate-group .rate p{
    font-weight: lighter;
    font-size: .8rem;
    color: rgb(20, 20, 39);
}

.hero-section-models{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    position: relative;
    z-index: 10;
}
.toggle{
    font-size: 1.5rem;
    display: none;
}


.nav-link.active{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    width: 100%;
    height: fit-content;
    padding: 20px;
    left: 0px;
    gap: 20px;
    top: 55px;
    position: absolute;
    background-color: white;
    border-radius: var(--rounded-md);
    z-index: 98;
}
/*is a card grid*/
.service{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    width: 80%;
    padding: 30px;
    margin-top: 20px;
}
.card{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 10px;
    border-radius: var(--rounded-md);
    background-color: white;
    transition: .5s all ease;
    cursor: pointer;
    border: 1.6px solid #cbcbcb57;
}
.card-icon {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: radial-gradient( #ffc870 0%, #ffc87069 100%);
    color: var(--light-color);
}

.card-title{
    font-size: 1rem;
    color: var(--primary-text);
    font-weight: bold;
    text-transform: capitalize;
}
.card-info{
    font-size: .8rem;
    color: var(--muted-text);
    font-weight: 300;
    text-align: center;
}

/*plan section*/
.plan{
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
    padding: 30px;
    margin-top: 30px;
}



.plan .info{
    display: flex;
    justify-content: center;
    align-items: center;
}




.plan section {
    min-width: 200px;
    min-height: 200px;
    display: flex;
    flex-direction: column;
    gap: 10px;	
    justify-content: center;
    align-items: center;
    border-radius: var(--rounded-md);
    color: var(--primary-text);
    background: radial-gradient(  #ffc87069 20% , transparent 90%);
    border: none;
    overflow: visible;
    border-radius: 8px;
  }
  .plan section i {
    font-size: 1.7rem;

  }

  .nums {
    display: flex;
  }
  .nums .num {
    flex: 1;
    text-align: center;
    font-size: 40px;
    padding: 20px;
  }

  .plan .info{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 40px;
        
  }
#plan{
    margin-top: 30px;
}
.plan .container{
    width: 500px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 50;
}
ul.head{
    list-style: none;
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    font-weight: 700;
    color: var(--primary-text);
    padding: 10px 20px;
    border-bottom: 1.6px solid rgba(128, 128, 128, 0.21);
}
li{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    text-transform: capitalize;
}
ul.body{
    list-style: none;
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    padding: 10px 20px;
    border-radius: var(--rounded-sm);
}
ul.body.active{
    background-color: hsl(var(--indigo--color),10%);
}
ul.body.active2{
    background-color: rgba(94, 94, 94, 0.137);
}
.plan .more-ville{
    width: 500px;
    display: flex;
    justify-content: end;
}
.plan button{
    padding: 5px 10px ;
    background-color: hsl(var(--amber--color));
    color: white;
    border: none;
    height: 36px;
    width: 90px;
    border-radius: var(--rounded-md);
    cursor: pointer;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.plan button:hover{
    background-color: hsl(var(--amber--color), 80%);
}
/*the form style*/
.sing-in-form{
    font-family: 'inter', sans-serif;
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    padding: 10px 15px;
    z-index: 2;
    margin-top: 90px;
}
.sing-in-form .say-hello{
    width: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}
.sing-in-form .say-hello p{
    font-size: .8rem;
    color: rgba(94, 94, 94, 0.427);
}    .input-container {
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.input-container input,
.input-container textarea {
    width: 400px;
    height: 43px;
    padding: 15px 10px;
    border-radius: 4px;
    border: 1.6px solid #cececeba;
    transition: 0.4s ease;
    color: var(--text-color);
}

.input-container textarea {
    height: 100px;
}

.input-container input:focus,
.input-container textarea:focus {
    outline: none;
    border: 1.6px solid hsl(var(--primary-color)61%);
}

.input-container label {
    position: absolute;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: start;
    font-size: 0.8rem;
    padding: 0px 10px;
    color: #b5b5b5fc;
    transition: 0.4s all ease;
}

.input-container input:focus + label,
.input-container input:not(:placeholder-shown) + label
 {
    transform: translateY(-22px) translateX(10px);
    color: hsl(var(--primary-color)61%);
    background-color: white;
    padding: 0px 10px;
    height: fit-content;
}
.input-container textarea:focus + label,
.input-container textarea:not(:placeholder-shown) + label {
    transform: translateY(-52px) translateX(10px);
    color: hsl(var(--primary-color)61%);
    background-color: white;
    padding: 0px 10px;
    height: fit-content;
}
.sing-in-form button{
    width: 400px;
    height: 43px;
    padding:10px;
    border-radius: 4px;
    border: none;
    transition:  0.4s ease;
    background-color: hsl(var(--primary-color)61%);
    color: white;
    cursor: pointer;
}
.sing-in-form button:hover{
    background-color: hsl(var(--primary-color-dark));
}
.sing-in-form button:focus{
    outline:1.6px solid  hsl(var(--primary-color-dark));
    outline-offset: 2px;
}

/*the footer style*/
.footer {
    display: flex;
    flex-flow: row wrap;
    padding: 30px 30px 20px 30px;
    color: var(--primary-text);
    border-top: 1px solid #e5e5e5;
  }
  
  .footer > * {
    flex:  1 100%;
  }
  
  .footer__addr {
    margin-right: 1.25em;
    margin-bottom: 2em;
  }
  
  .footer__logo {
    font-weight: 400;
    text-transform: lowercase;
    font-size: 1.5rem;
  }
  
  .footer__addr h2 {
    margin-top: 1.3em;
    font-size: 15px;
    font-weight: 400;
  }
  
  .nav__title {
    font-weight: 400;
    font-size: 15px;
  }
  
  .footer address {
    font-style: normal;
    color: #999;
  }
  
  .footer__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 36px;
    max-width: max-content;
    background-color: rgb(33, 33, 33, 0.07);
    border-radius: 100px;
    color: #2f2f2f;
    line-height: 0;
    margin: 0.6em 0;
    font-size: 1rem;
    padding: 0 1.3em;
  }
  
  .footer ul {
    list-style: none;
    padding-left: 0;
  }
  
  .footer li {
    line-height: 2em;
  }
  
  .footer a {
    text-decoration: none;
  }
  
  .footer__nav {
    display: flex;
      flex-flow: row wrap;
  }
  
  .footer__nav > * {
    flex: 1 50%;
    margin-right: 1.25em;
  }
  
  .nav__ul a {
    color: #999;
  }
  
  .nav__ul--extra {
    column-count: 2;
    column-gap: 1.25em;
  }
  
  .legal {
    display: flex;
    flex-wrap: wrap;
    color: #999;
  }
    
  .legal__links {
    display: flex;
    align-items: center;
  }
  
  .heart {
    color: #2f2f2f;
  }
  
  @media screen and (min-width: 24.375em) {
    .legal .legal__links {
      margin-left: auto;
    }
  }
  
  @media screen and (min-width: 40.375em) {
    .footer__nav > * {
      flex: 1;
    }
    
    .nav__item--extra {
      flex-grow: 2;
    }
    
    .footer__addr {
      flex: 1 0px;
    }
    
    .footer__nav {
      flex: 2 0px;
    }
  }
@media only  screen and (max-width: 768px){
    body{
        width: 100%;
    }
    nav{
        background-color: white;
        z-index: 99;
        width: 100%;
    }
    nav .nav-link{
        display: none;
    }
    .toggle{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 5px;
        color: var(--primary-text);
        font-weight: bold;
        cursor: pointer;
        transition: .5s all ease;
    }
    nav .button {
        display: none;
    }
    .hero{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        margin-top: 50px;
        width: 90%;
    }
    .hero .hero-section-text{
        margin-top: 50px;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 20px;
        text-align: center;
    }
    .service{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 20px;
        width: 90%;
        padding: 30px;
        margin-top: 20px;
    }
    .service .card{
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 20px;
    }
    .plan .info{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 40px;
    }
    .sing-in-form .say-hello{
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 10px;
    }
    .input-container input,
    .input-container textarea {
        width: 300px;
    }
    .sing-in-form button{
        width: 300px;
    }
}

